"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ts-ioc/core");
/**
 * Authorization decorator, define class or method need auth check.
 *
 * @Authorization
 */
exports.Authorization = core_1.createClassMethodDecorator('Authorization', function (adapter) {
    adapter.next({
        isMetadata: function (arg) { return core_1.isClassMetadata(arg, ['role']); },
        match: function (arg) { return core_1.isString(arg); },
        setMetadata: function (metadata, arg) {
            metadata.role = arg;
        }
    });
});

//# sourceMappingURL=../../sourcemaps/core/decorators/Authorization.js.map
