"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
tslib_1.__exportStar(require("./IAuthorization"), exports);
tslib_1.__exportStar(require("./RequestMethod"), exports);
tslib_1.__exportStar(require("./IContext"), exports);
tslib_1.__exportStar(require("./decorators/index"), exports);
tslib_1.__exportStar(require("./middlewares/index"), exports);
tslib_1.__exportStar(require("./results/index"), exports);
tslib_1.__exportStar(require("./router/index"), exports);
tslib_1.__exportStar(require("./Application"), exports);
tslib_1.__exportStar(require("./BaseController"), exports);
tslib_1.__exportStar(require("./IApplication"), exports);
var core_1 = require("@ts-ioc/core");
var index_1 = require("./router/index");
var BaseController_1 = require("./BaseController");
var index_2 = require("./decorators/index");
function registerDefaults(container) {
    var lifeScope = container.getLifeScope();
    lifeScope.registerDecorator(index_2.Controller, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_2.Authorization, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_2.Middleware, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_2.Model, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    container.register(index_1.ModelParser);
    container.register(BaseController_1.BaseController);
}
exports.registerDefaults = registerDefaults;

//# sourceMappingURL=../sourcemaps/core/index.js.map
