"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var IApplication_1 = require("../IApplication");
var IConfiguration_1 = require("../../IConfiguration");
var decorators_1 = require("../decorators");
var index_1 = require("../middlewares/index");
var core_1 = require("@ts-ioc/core");
var index_2 = require("../router/index");
var DefaultCorsMiddleware = /** @class */ (function () {
    function DefaultCorsMiddleware() {
    }
    DefaultCorsMiddleware.prototype.setup = function () {
        var _this = this;
        this.app.use(function (ctx, next) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                if ((!ctx.status || ctx.status === 404) && this.config.isRouteUrl(ctx.url)) {
                    return [2 /*return*/, this.router.getRoot().options(this.app.container, ctx, next)];
                }
                return [2 /*return*/];
            });
        }); });
    };
    DefaultCorsMiddleware.classAnnations = { "name": "DefaultCorsMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultCorsMiddleware.prototype, "app", void 0);
    tslib_1.__decorate([
        core_1.Inject(IConfiguration_1.ConfigurationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultCorsMiddleware.prototype, "config", void 0);
    tslib_1.__decorate([
        core_1.Inject(index_2.RouterMiddlewareToken),
        tslib_1.__metadata("design:type", index_2.Router)
    ], DefaultCorsMiddleware.prototype, "router", void 0);
    DefaultCorsMiddleware = tslib_1.__decorate([
        decorators_1.Middleware(index_1.CorsMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultCorsMiddleware);
    return DefaultCorsMiddleware;
}());
exports.DefaultCorsMiddleware = DefaultCorsMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultCorsMiddleware.js.map
