"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var IApplication_1 = require("../IApplication");
var IConfiguration_1 = require("../../IConfiguration");
var aop_1 = require("@ts-ioc/aop");
var session = require('koa-session');
var DefaultSessionMiddleware = /** @class */ (function () {
    function DefaultSessionMiddleware() {
    }
    DefaultSessionMiddleware.prototype.setup = function () {
        this.app.use(session(this.config.session, this.app.getServer()));
    };
    DefaultSessionMiddleware.classAnnations = { "name": "DefaultSessionMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultSessionMiddleware.prototype, "app", void 0);
    tslib_1.__decorate([
        core_1.Inject(IConfiguration_1.ConfigurationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultSessionMiddleware.prototype, "config", void 0);
    DefaultSessionMiddleware = tslib_1.__decorate([
        aop_1.NonePointcut,
        decorators_1.Middleware(IMiddleware_1.SessionMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultSessionMiddleware);
    return DefaultSessionMiddleware;
}());
exports.DefaultSessionMiddleware = DefaultSessionMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultSessionMiddleware.js.map
