import { InjectToken } from '@ts-ioc/core';
/**
 * middleware token.
 */
export declare const MiddlewareToken: InjectToken<IMiddleware>;
/**
 * context middleware token.
 */
export declare const ContextMiddlewareToken: InjectToken<IMiddleware>;
/**
 * BodyParser middleware token.
 */
export declare const BodyParserMiddlewareToken: InjectToken<IMiddleware>;
/**
 * Content middleware token.
 */
export declare const ContentMiddlewareToken: InjectToken<IMiddleware>;
/**
 * cors middleware token.
 */
export declare const CorsMiddlewareToken: InjectToken<IMiddleware>;
/**
 * log middleware token.
 */
export declare const LogMiddlewareToken: InjectToken<IMiddleware>;
/**
 * Json middleware token.
 */
export declare const JsonMiddlewareToken: InjectToken<IMiddleware>;
/**
 * session middleware token.
 */
export declare const SessionMiddlewareToken: InjectToken<IMiddleware>;
/**
 * views middleware token.
 */
export declare const ViewsMiddlewareToken: InjectToken<IMiddleware>;
/**
 * Middleware inteface
 * @export
 * @interface IMiddleware
 */
export interface IMiddleware {
    /**
     * setup middleware.
     *
     * @memberof IMiddleware
     */
    setup(): any;
}
