"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var ForbiddenError = /** @class */ (function (_super) {
    tslib_1.__extends(ForbiddenError, _super);
    function ForbiddenError(message) {
        if (message === void 0) { message = 'Request Forbidden'; }
        return _super.call(this, 403, message) || this;
    }
    ForbiddenError.classAnnations = { "name": "ForbiddenError", "params": { "constructor": ["message"] } };
    return ForbiddenError;
}(HttpError_1.HttpError));
exports.ForbiddenError = ForbiddenError;

//# sourceMappingURL=../sourcemaps/errors/ForbiddenError.js.map
