"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var MethodNotAllowedError = /** @class */ (function (_super) {
    tslib_1.__extends(MethodNotAllowedError, _super);
    function MethodNotAllowedError(message) {
        if (message === void 0) { message = 'Method Not Allowed'; }
        return _super.call(this, 405, message) || this;
    }
    MethodNotAllowedError.classAnnations = { "name": "MethodNotAllowedError", "params": { "constructor": ["message"] } };
    return MethodNotAllowedError;
}(HttpError_1.HttpError));
exports.MethodNotAllowedError = MethodNotAllowedError;

//# sourceMappingURL=../sourcemaps/errors/MethodNotAllowedError.js.map
