"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var IApplication_1 = require("../IApplication");
var aop_1 = require("@ts-ioc/aop");
var logger = require('koa-logger');
var DefaultLogMiddleware = /** @class */ (function () {
    function DefaultLogMiddleware() {
    }
    DefaultLogMiddleware.prototype.setup = function () {
        this.app.use(logger());
    };
    DefaultLogMiddleware.classAnnations = { "name": "DefaultLogMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultLogMiddleware.prototype, "app", void 0);
    DefaultLogMiddleware = tslib_1.__decorate([
        aop_1.NonePointcut,
        decorators_1.Middleware(IMiddleware_1.LogMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultLogMiddleware);
    return DefaultLogMiddleware;
}());
exports.DefaultLogMiddleware = DefaultLogMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultLogMiddleware.js.map
