import { ILoggerManager, ILogger } from '@ts-ioc/logs';
/**
 * log4js logger manager adapter.
 *
 * @export
 * @class Log4jsAdapter
 * @implements {ILoggerManger}
 */
export declare class Log4jsAdapter implements ILoggerManager {
    private _log4js;
    constructor();
    getLog4js(): any;
    configure(config: any): void;
    getLogger(name?: string): ILogger;
    static classAnnations: any;
}
